package br.com.bookstore.cliente;

import java.io.Serializable;


/**
 * Enumeration para determinar o perfil de um determinado usurio
 * no Sistema. Inicialmente, todo que qualquer usurio cadastrado
 * atravs da aplicao WEB assumir o papel de Cliente. Usurios 
 * com o perfil Administrador j estaro cadastrados a priori, de 
 * forma externa  aplicao.
 * 
 * @author Adelino Ferreira - bugass@gmail.com
 *
 */
public enum Perfil  implements Serializable {

	/* usurio tpico, que pode realizar compras */
	Cliente,
	
	/* usurio criado de forma externa, capaz de realizar tarefas administrativas */
	Administrador;
	
}
